hxt-9.3.1.1: A collection of tools for processing XML with Haskell.

Portability | not portable
Stability | experimental
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Safe Haskell | Safe-Inferred

Control.Arrow.ArrowExc

Description

The exception arrow class

# Documentation

class (Arrow a, ArrowChoice a, ArrowZero a, ArrowIO a) => ArrowExc a where Source

Methods

tryA :: a b c -> a b (Either SomeException c)Source

catchA :: a b c -> a SomeException c -> a b cSource

Instances

ArrowExc IOLA |
ArrowExc (IOSLA s) |